package zalewa.delayedproxy.ui;

import java.awt.Component;
import java.awt.Container;

import javax.swing.JSpinner;

public class UIUtils
{
	public static boolean isJSpinnerFocusOwner(JSpinner jSpinner)
	{
		Container c = jSpinner.getEditor();
		
		return isContainerFocusOwner(c);
	}
	
	private static boolean isContainerFocusOwner(Container container)
	{
		Component[] components = container.getComponents();
		for (int i = 0; i < components.length; ++i)
		{
			if (components[i].isFocusOwner())
			{
				return true;
			}
		}
		
		return false;
	}
}
